|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# UnhandledException Class Reference
(QtConcurrent::UnhandledException)
[QtCore module]

The UnhandledException class represents an unhandeled exception in a worker thread. More...

This class was introduced in Qt 4.4.

## Detailed Description

The UnhandledException class represents an unhandeled exception in a worker thread.

If a worker thread throws an exception that is not a subclass of QtConcurrent::Exception, the Qt Concurrent functions will throw a QtConcurrent::UnhandledException on the receiver thread side.

Inheriting from this class is not supported.